Skip to Content
CerebrumDocs
GuidesAPI referenceTrust & security

Get Shared Wallet Credential File

Related workflow: Working with Beams and credentials

GET
/v1/public/wallet-shares/{token}/files/{fileId}

Streams an attachment file from a valid temporary share token and credential file id.

Path Parameters

token*string
fileId*string

Response Body

Binary file body (not JSON). Content-Type reflects the stored file MIME type (default application/octet-stream). Content-Disposition is inline for common image MIME types and attachment otherwise.

response?unknown
Example Request
curl -X GET 'https://api.cerebrum.com/v1/public/wallet-shares/string/files/string'
Example Response
null